/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for DischargeSummaryCath
 */
public enum EnumCV_DischargeSummaryCath 
{
	//TID 3828 Discharge Summary, Cath
	DISCHARGE_SUMMARY_121115("121115"),
	DISCHARGE_DATETIME_122163("122163"),
	CORONARY_ARTERY_BYPASS_DURING_THIS_ADMISSION_122164("122164"),
	PROCEDURE_PRIORITY_G_C09C("G-C09C"),
	PROCEDURE_DATETIME_122146("122146"),
	DEATH_DURING_THIS_ADMISSION_122166("122166"),
	DATE_OF_DEATH_122165("122165"),
	PRIMARY_CAUSE_OF_DEATH_25("25"),
	DEATH_DURING_CATHETERIZATION_122167("122167"),
	SUMMARY_121111("121111");

	private String value;
	
	EnumCV_DischargeSummaryCath(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
